
/* definitions for hardlock.h   */
/* %W% last mod on %G% at %U% */
/* Full SCCS path name: (%P%) */

#ifndef __hardlock_h
#define __hardlock_h

#ifdef DOS

/*=======================================*/
/*  (C) Glenco Engineering Inc. 1991     */
/*                                       */
/*  C Prototypes for Hardlock routines.  */
/*                                       */
/*  For Borland C++ you must use extern  */
/*  "C" directive to avoid name mangling */
/*  of Hardlock routine names. Uncomment */
/*  #define BCPP below.                  */
/*=======================================*/

/* #define BCPP */
#ifdef BCPP
  extern "C" {
#endif
  void hlcrypt(int *,int *,int *,char *,int *);
  void hlenc(int *,int *,char *,int *);
  void hlon(int *,int *);
  void hloff(int *);
  void inton(void);
  void intoff(void);
  void hlrwd(int *, int *, int *);
  void hlwwd(int *, int *, int *);
  void hlwstr(int *, char *);
  void hlrstr(int *, char *);
  void hlstd(int *, int *, int *, int *, int *);
  void hlcp(int *, int *, int *, int *, int *,int *);
  void hlwr(int *, int *, int *, int *, char *);
  void hlrd(int *, int *, int *, int *, char *);
#ifdef BCPP
  };
#endif

#endif /* DOS */
#endif /* __hardlock_h */
